Page MenuHomeFreeBSD

Remove some redundant assignments and computations.
ClosedPublic

Authored by markj on Jun 22 2020, 12:52 PM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj created this revision.Jun 22 2020, 12:52 PM
markj requested review of this revision.Jun 22 2020, 12:52 PM
kib accepted this revision.Jun 22 2020, 2:31 PM
kib added inline comments.
sys/dev/md/md.c
1561 ↗(On Diff #73465)

I do not see much sense in asserting this, but do not object strongly.

This revision is now accepted and ready to land.Jun 22 2020, 2:31 PM
alc added inline comments.Jun 22 2020, 6:36 PM
sys/compat/linuxkpi/common/src/linux_page.c
223 ↗(On Diff #73465)

AFAIK, the mips and powerpc versions of ptoa() have a single implementation that is used on both 32- and 64-bit machines, and on 64-bit machine there is no guarantee that the argument is converted to a 64-bit quantity.

markj updated this revision to Diff 73636.Jun 25 2020, 3:04 PM
markj marked 2 inline comments as done.

Address feedback.

This revision now requires review to proceed.Jun 25 2020, 3:04 PM
kib added inline comments.Jun 25 2020, 8:04 PM
sys/compat/linuxkpi/common/src/linux_page.c
223 ↗(On Diff #73636)

I think size_t or vm_offset_t would be better there.

markj updated this revision to Diff 73662.Jun 25 2020, 8:24 PM

Use vm_offset_t instead.

kib accepted this revision.Jun 25 2020, 8:58 PM
This revision is now accepted and ready to land.Jun 25 2020, 8:58 PM
alc accepted this revision.Jun 26 2020, 6:23 PM
alc added inline comments.
sys/compat/linuxkpi/common/src/linux_page.c
202 ↗(On Diff #73662)

Here is another possible ptoa() conversion that is identical to the first.

markj marked 2 inline comments as done.Jun 28 2020, 9:23 PM
This revision was automatically updated to reflect the committed changes.